Skip to main content

Test SMTP Configuration

Use this API, to test the mail configuration which was set at Realm level for the given user.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v4/mail/test

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/mail/test
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body ( Required)​

Field NameTypeDescription
mailType (Required)StringSpecify the mail type for template. Value should be "TEST"

Sample Request​

{
"mailType": "TEST"
}

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "Mail Sent Successfully to the user",
"status": "OK",
"subSystem": 8
}

Response Status Information​

Status CodeStatusMessage
200OKMail Sent Successfully to the user
401UnauthorizedHTTP 401 Unauthorized
404USER_NOT_FOUNDUser does not exist